%define oname   rbx-require-relative

Name:       ruby-%{oname}
Version:    0.0.9
Release:    %mkrel 13
Summary:    Fast Ruby debugger - core component
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildArch: noarch
BuildRequires: rubygems

%description
Ruby 1.9's require_relative for Rubinius and MRI 1.8. We also add 
abs_path which is like __FILE__ but __FILE__ can be fooled by a sneaky 
"chdir" while abs_path can't. If you are running on Ruby 1.9 or greater, 
require_relative is the pre-defined version. The benefit we provide in 
this situation by this package is the ability to write the same 
require_relative sequence in Rubinius 1.8 and Ruby 1.9. 

%files
%{gem_spec}
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/ChangeLog
%{gem_instdir}/LICENSE
%{gem_instdir}/NEWS
%{gem_instdir}/README.textile
%{gem_instdir}/Rakefile

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.9-13.mga10
+ Revision: 2211016
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.0.9-12.mga9
+ Revision: 1826093
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.9-11.mga8
+ Revision: 1499890
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.9-10.mga7
+ Revision: 1275199
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.0.9-9.mga6
+ Revision: 963830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-8.mga5
+ Revision: 739996
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.9-7.mga5
+ Revision: 688924
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.0.9-6.mga4
+ Revision: 562423
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.0.9-4.mga4
+ Revision: 538928
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.0.9-3.mga4
+ Revision: 491114
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 fwang <fwang> 0.0.9-2.mga3
+ Revision: 396892
- rebuild for new rdoc

* Sun Jan 20 2013 dmorgan <dmorgan> 0.0.9-1.mga3
+ Revision: 390257
- imported package ruby-rbx-require-relative

